KVIRC(1)

NAME
KVIrc - an Internet Relay Chat client.

SYNOPSIS
kvirc [options] [server [port]] [ircurl [ircurl [...]]]

DESCRIPTION

KVIrc is a Visual Internet Relay Chat client based on the Qt library.

It is intended to be an "user friendly" interface to the IRC protocol (see RFC1459) and its extensions.

OPTIONS
KVIrc accepts the following options:

-h, --help
    Display a list of all commandline options and exit.

-v, --version
    Output the version info.

-c <file>
    Use <file> as configuration file instead of ~/.kvirc.rc . Defaults to $HOME/.kvirc.rc if <file> doesn't exists

-n <file>
    Use <file> as configuration file instead of ~/.kvirc.rc . Create <file> if it doesn't exist.

-f  Force a new KVIrc session, even if there is already a running one.

-e <commands>
    If a KVIrc session is already running, execute the <commands> in that session, otherwise startup normally and execute <commands>. <commands> must be a single shell token. You can eventually use this switch more than once.

-x <commands>
    If a KVIrc session is already running, execute the <commands> in that session, otherwise do nothing and exit. <commands> must be a single shell token. You can eventually use this switch more than once.

-r <commands>
    If a KVIrc session is already running, execute the <commands> in that session, otherwise start up normally (do not execute). <commands> must be a single shell token. You can eventually use this switch more than once.

-m  If a KVIrc session is already running, show an informational popup dialog instead of writing to the console. This is useful when starting KVIrc from a graphical taskbar button.

--nosplash
    Do not show the splash screen at startup

[server]
    Connect to this server after startup.

[port]
    Use this port for connection. This option requires also a server name.

[ircurl]
    An url in the following form:
      irc[6]://<server>[:<port>][/<channel>[?<pass>]] For each url on the commandline create a new irc-context and attempt to connect to <server> on the specified <port>. The optional <channel> is joined just after the connection has been estabilished.

ENVIRONMENT

KVIRC_LANG
    Language setting. If not set KVIrc will check for $LANG

LANG
    Language setting. If not set (or set to 'EN','POSIX' or 'C') KVIrc will use the default language (english).

FILES
$PREFIX/share/kvirc/VERSION/*
    Directory with the global KVIrc settings, modules etc... $HOME/.kvirc.rc . This is the first file that KVIrc looks for. If the -c commandline option is specified , the file passed as the option parameter is used instead of this one. If the file is found , KVIrc reads the first non-empty line and treats it as the path to the KVIrc Local directory. If the file can not be found or the KVIrc Local directory is not existing , KVIrc enters the setup mode and allows selecting a new KVIrc Local directory. KVIrc Local directory/* Directory with the local (per user) KVIrc settings. Similar to the global one.

SEE ALSO
X(1) talk(1)

COPYRIGHT
Copyright © 1999-2009 Szymon Stefanek and The KVIrc Development Team Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

SUGGESTIONS AND BUG REPORTS
Any bugs found (and feature requests) should be reported to the tracker at: <https://svn.kvirc.de/>

OFFICIAL WWW SITE
http://www.kvirc.net In Russian - http://www.kvirc.net.ru

AUTHORS
Szymon 'Pragma' Stefanek <pragma at kvirc dot net> Code, fixes, new features, and much more from Alessandro 'Noldor@freenode' Carbone, Elvio 'HelLViS69@freenode' Basello, Fabio 'CtrlAltCa@freenode' Bas, Alexey 'Alexey@freenode' Uzhva, Voker57@freenode Old authors With patches, fixes, extensions, and more from [Anodine]@efnet, Till 'BuTi@ircnet' Busch, Fritz 'KNFritz@ircnet' Elfert, RAD Kade 1 With bug-hunting, hard-thinking, eyes-consuming, nights spent on IRC, great suggestions and more from lots of people all over the net, including but not limited to Paul 'infected@ircnet' Boehm, Olle 'Crocodile@ircnet' Hällnäs, Diablo@ircnet, Andrew 'Drosha@ircnet' Frolov, MalboroLi@ircnet, munehiro@ircnet